Subject: Re: bug#48959: icecat imcomplete LD_LIBRARY_PATH affecting Kerberos authentication

From: Mark H Weaver <[email-masked]>
Date: Mon, 14 Jun 2021 14:48:50 -0400

Hi Ignacio,

Ignacio  Coterillo <[email-masked]> writes:

> [Summary]
> - The icecat package doesn't correctly set the LD_LIBRARY_PATH
> variable during the wrap-program build stage to include mit-krb5 libraries
> so kerberos authentication fails as the libraries are not found at runtime:

Thanks for this report.  I've attached a proposed patch that might fix
the problem.  I've verified that the modified IceCat package builds and
runs successfully, but I'm unable to test it properly because I don't
have access to any system that uses Kerberos authentication.

Are you able to test this patch?  One way to do so is to clone the
master branch of our git repository, apply this patch to the Guix git
checkout and build it, and then run that modified copy of Guix (without
installing it) to build icecat.  See sections 16.1 (Building from Git)
and 16.2 (Running Guix Before It Is Installed) of our manual for details
of how to do this.

If you encounter difficulties or have additional questions, please do
not hesitate to ask.

      Regards,
        Mark

>From 857f829906e0f8d9583a32ad47c91149c7714171 Mon Sep 17 00:00:00 2001
From: Mark H Weaver <[email-masked]>
Date: Sun, 13 Jun 2021 19:11:15 -0400
Subject: [PATCH] UNTESTED: gnu: icecat: Fix Kerberos support.

Fixes <https://bugs.gnu.org/48959>.

* gnu/packages/gnuzilla.scm (icecat)[arguments]: In the 'wrap-program' phase,
add mit-krb5 to the LD_LIBRARY_PATH.
---
 gnu/packages/gnuzilla.scm | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index c63809c20c..a997fc1c73 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -1276,14 +1276,19 @@ from forcing GEXP-PROMISE."
                     (pulseaudio (assoc-ref inputs "pulseaudio"))
                     (pulseaudio-lib (string-append pulseaudio "/lib"))
                     (libxscrnsaver (assoc-ref inputs "libxscrnsaver"))
-                    (libxscrnsaver-lib (string-append libxscrnsaver "/lib")))
+                    (libxscrnsaver-lib (string-append libxscrnsaver "/lib"))
+                    (mit-krb5 (assoc-ref inputs "mit-krb5"))
+                    (mit-krb5-lib (string-append mit-krb5 "/lib")))
                (wrap-program (car (find-files lib "^icecat$"))
                  `("XDG_DATA_DIRS" prefix (,gtk-share))
                  ;; The following line is commented out because the icecat
                  ;; package on guix has been observed to be unstable when
                  ;; using wayland, and the bundled extensions stop working.
                  ;;   `("MOZ_ENABLE_WAYLAND" = ("1"))
-                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib ,mesa-lib ,libxscrnsaver-lib)))
+                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib
+                                             ,mesa-lib
+                                             ,libxscrnsaver-lib
+                                             ,mit-krb5-lib)))
                #t))))))
     (home-page "https://www.gnu.org/software/gnuzilla/")
     (synopsis "Entirely free browser derived from Mozilla Firefox")
-- 
2.31.1

-- 
Disinformation flourishes because many people care deeply about injustice
but very few check the facts.  Ask me about <https://stallmansupport.org>.